Gravv DOCS
Docs Agent Get Started
API Reference List payment links

List payment links

Returns a paginated list of all payment links created under your tenant.

Use the page and per_page query parameters to navigate through results. Optionally filter by status.

GET/v1/payment-links

Query Parameters

Page number for paginated results.

Number of items to return per page.

Filter payment links by status.

Possible values: active, paused

Responses

Status Description
200 Payment links retrieved successfully.
400 Invalid request parameters.

200 response

List of payment links for the current page.

Unique identifier for the payment link.

Timestamp when the payment link was created (UTC).

Timestamp when the payment link was last updated (UTC).

ID of the customer associated with this payment link.

ID of the tenant that owns this payment link.

Name of the person making the payment.

Email address of the person making the payment.

Name of the person or business receiving the payment.

ID of the account where settled funds will be deposited after a successful payment.

List of blockchain networks the payer can use to complete the payment.

Possible values: stellar, ethereum, polygon, avalanche, solana

A map of blockchain network names to their corresponding wallet addresses for receiving crypto payments.

Shareable URL the payer visits to complete the payment.

Current status of the payment link.

Possible values: active, paused

Current page number.

Maximum number of items returned per page.

Total number of payment links across all pages.

Total number of pages available.

Whether a subsequent page of results exists.

Whether a preceding page of results exists.

Error information if the request failed.

{
"data": {
"items": [
  {
    "id": "b905cc64-0f90-4de0-a77c-b183de86b248",
    "created_at": "2026-05-07T15:39:02.639185Z",
    "updated_at": "2026-05-07T15:39:02.639186Z",
    "customer_id": "5e713759-3416-44f5-b797-efd0299aefc1",
    "tenant_id": "dfa96ede-fc13-43cf-8328-8b910d1cd1d2",
    "payer_name": "payer2",
    "payer_email": "payer@example.com",
    "payee_name": "Rose",
    "settlement_account_id": "b3e3c9fd-77ed-4d14-9c45-68db60d17d3a",
    "supported_networks": [
      "stellar",
      "ethereum"
    ],
    "wallet_addresses": {
      "ethereum": "0x119827bef8a3030cd401478fa7b33ac94d3c2572",
      "stellar": "GD2WTFAKQJA4BRQRNY3RWGWOFMK52WXZWV3CPCHZV2SJP2QGNBIL6TXQ"
    },
    "link_url": "https://stables.gravv.xyz/b905cc64-0f90-4de0-a77c-b183de86b248",
    "status": "active"
  },
  {
    "id": "b442d0e8-addf-406b-a488-a46e2d10be7c",
    "created_at": "2026-05-07T14:53:38.674714Z",
    "updated_at": "2026-05-07T14:53:38.674715Z",
    "customer_id": "5e713759-3416-44f5-b797-efd0299aefc1",
    "tenant_id": "dfa96ede-fc13-43cf-8328-8b910d1cd1d2",
    "payer_name": "John",
    "payer_email": "john@mail.com",
    "payee_name": "Rose",
    "settlement_account_id": "872a53c4-9640-4b7a-800d-6875c9af9791",
    "supported_networks": [
      "polygon"
    ],
    "wallet_addresses": {
      "polygon": "0x8d42fcb7087b627766dc02895da85207313923e8"
    },
    "link_url": "https://stables.gravv.xyz/b442d0e8-addf-406b-a488-a46e2d10be7c",
    "status": "active"
  }
],
"items_per_page": 20,
"page": 1,
"total_items": 2,
"total_pages": 1
},
"error": null
}

400 response

Human-readable error message.

{
"data": null,
"error": "Invalid request parameters"
}

Authorization

  • ApiKeyAuth
Was this page helpful?
Assistant
Responses are generated using AI and may contain mistakes.

Ask me anything about the documentation.

ESC